Error: Undefined is not an object ( evaluating 'reactINternals.ReactCurrentOwner')


#1

Since my projet wasnt loading on the expo client on ios.
So I tried to make a new project and copy paste the other code on top of this one… But I get this error. How to fix it ?


#2

Hey harryp, I really want to help, can you help guide me through some of this?

  • What is the process you are using to start a project? Are you doing it from command line using exp? Or are you using XDE and creating a project and running it using the GUI that XDE provides?

  • What version is XDE at? Do you have the latest?

  • What does it say in your package.json when you look at “react-native”

Thanks!


#3

What is the process you are using to start a project? Are you doing it from command line using exp?

I create it using the XDE, I’m using expo XDE The tool for mac.
I also use this tool to open the project and start working on it , on my iphone.

Or are you using XDE and creating a project and running it using the GUI that XDE provides?
Yes.

What version is XDE at? Do you have the latest?
Latest on mac

What does it say in your package.json when you look at “react-native”

"react-native": "https://github.com/expo/react-native/archive/sdk-17.0.0.tar.gz",

#4

It looks like you’ve progressed since the last time you’ve asked this question, are you still encountering the issue above?


#5

lol - yeah progressed. :slight_smile:


#6

I’ve just bumped into this, can you let us know how you progressed from it?


#7

lol - redo the whole thing
I think it happens when you copy paste one code base to another. so maybe be careful when you do that.


#8

I am on macbook pro
I am facing the same issue. I have upgraded my old project using version 16 to 20. Please help me. My project is sort of big and it is not possible for me to do everything again.

Steps I have taken.

Restarting xde
Restarting PC
Resetting simulator

My app.json

{
“expo”: {
“name”: “react-native-elements-app-modified”,
“description”: “A demo app for React Native Elements UI Library”,
“slug”: “react-native-elements-app-modified”,
“privacy”: “public”,
“sdkVersion”: “20.0.0”,
“version”: “1.0.0”,
“orientation”: “portrait”,
“primaryColor”: “#cccccc”,
“icon”: “./assets/icons/icon.png”,
“loading”: {
“icon”: “./assets/icons/loading.png”,
“hideExponentText”: false
},
“packagerOpts”: {
“assetExts”: [
“ttf”,
“mp4”
]
},
“ios”: {
“supportsTablet”: true
}
}
}

package.json

"react-native": "https://github.com/expo/react-native/archive/sdk-20.0.0.tar.gz",

#9

I’d say try making a brand new project.


#10

i honestly dont remember man, i tried to create new project on expo zillion times. so i dont remember at what point i got rid of this issue.


#11

weird… started working with expo, assuming it will help fast development, but I am wrong…


#12

@chiragpurohit71085 @expo Its the best tool out there.


#13

HI Sorry If it looked harsh, Expo is really best tool, but things are complicated for me…